class StorageError extends Error {
  constructor(code, message) {
    super(message);
    this.code = code;
    this.name = 'StorageError';
  }
}
/**
 * The `StorageApi` object provides access to persistent local storage for your POS UI extension. Access these properties through `shopify.storage` to store, retrieve, and manage data that persists across sessions.
 */

export { StorageError };
